Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
f5eth_analysis_data_t Struct Reference

## Public Attributes
guint8 | ip_visited:1
guint8 | tcp_visited:1
guint8 | ip_istcp:2
guint8 | ip_isfrag:2
guint8 | tcp_synset:2
guint8 | tcp_ackset:2
guint8 | pkt_ingress:2
guint8 | pkt_has_flow:2
guint8 | pkt_has_peer:2
guint8 | analysis_done:1
guint8 | analysis_flowreuse:1
guint8 | analysis_flowlost:1
guint8 | analysis_hasresults:1

## Detailed Description

Structure used to store data gathered by the taps and dissector that is attached to the pinfo structure for the packet. This structure ends up getting allocated for every packet. So, we want to keep it small.

For fields that are 1 bit wide, they have 0 == false and 1 == true. For fields that are 2 bits wide, they have 0 == false, 1 == true and 3 == unknown.

## Member Data Documentation

guint8 f5eth_analysis_data_t::analysis_done

Analysis has been performed

guint8 f5eth_analysis_data_t::analysis_flowlost

Analysis indicates flow lost

guint8 f5eth_analysis_data_t::analysis_flowreuse

Analysis indicates flow reuse

guint8 f5eth_analysis_data_t::analysis_hasresults

Are there actually any results?

guint8 f5eth_analysis_data_t::ip_isfrag

Is this packet an IP fragment?

guint8 f5eth_analysis_data_t::ip_istcp

Is this a TCP (set by ip/ip6 tap on first header)

guint8 f5eth_analysis_data_t::ip_visited

Did the IPv4 or IPv6 tap look at this packet already?

guint8 f5eth_analysis_data_t::pkt_has_flow

Packet has associated flow

guint8 f5eth_analysis_data_t::pkt_has_peer

Packet has associated peer flow

guint8 f5eth_analysis_data_t::pkt_ingress

Packet is ingress packet

guint8 f5eth_analysis_data_t::tcp_ackset

Is the ACK flag set in the TCP header?

guint8 f5eth_analysis_data_t::tcp_synset

Is the SYN flag set in the TCP header?

guint8 f5eth_analysis_data_t::tcp_visited

Did the TCP tap look at this packet already?

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/dissectors/packet-f5ethtrailer.c